import 'package:flutter/material.dart';

import '../../common/values/styles.dart';

class CustomTextMediumField extends StatelessWidget {
  final String? label;
  final color;
  final TextAlign? align;
  final int? maxLine;
  final double? textSize;
  final FontWeight? fontWeight;
  final String? fontName;

  CustomTextMediumField(
      {this.label = "null",
      this.color,
      this.align,
      this.maxLine,
      this.textSize,
      this.fontWeight,
      this.fontName});

  @override
  Widget build(BuildContext context) {
    return Text(label ?? "null",
        textAlign: align,
        maxLines: maxLine,
        overflow: TextOverflow.ellipsis,
        style: Styles.customTextMediumStyle(
            color: color,
            fontName: fontName,
            fontWeight: fontWeight,
            textSize: textSize));
  }
}
